Class Specialization
Skiplist
General purpose map container.

Map

Skiplist

Map<TValue, Skiplist<TSpec> >
Include Headers
seqan/map.h
Parameters

TValue | The type of value stored in the map. Metafunctions: Value
TSpec | The specializing type.

Remarks
The skiplist takes in average an oberhead of only two pointers per value stored in the map.
Default: Default
Specialization of
Map
Metafunctions

MapValue | Type of the map value type. (Map)

Functions

add | Insert another value into a multi map.
cargo | Returns a cargo given a key. (Map)
erase | Removes a value from a map. (Map)
eraseAll | Removes a value from a map.
find | Find a value in a map. (Map)
hasKey | Determines whether a map contains a value given key. (Map)
insert | Insert new value into map. (Map)
length | The number of items/characters. (Map)
mapValue | Subscript operator [ ] of maps. (Map)
value | Returns a value given a key. (Map)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00